Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] List Spark clusters
        • 🚧 [Experimental] Get Spark cluster
        • 🚧 [Experimental] Create Spark cluster
        • 🚧 [Experimental] Delete Spark cluster
        • 🚧 [Experimental] Start Spark cluster
        • 🚧 [Experimental] Stop Spark cluster
        • 🚧 [Experimental] List Spark resource presets
        • 🚧 [Experimental] Get Spark resource preset
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. SparkClusters
  4. 🚧 [Experimental] Get Spark cluster
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Get Spark cluster

Returns the specified Spark cluster.

RequestRequest

POST

https://api.datalens.tech/rpc/getSparkCluster

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "id": "example"
}

Name

Description

id

Type: string

ID of the Spark cluster to return.

Min length: 1

Max length: 50

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "clusterId": "example",
  "collectionId": "example",
  "cloudEnvironmentId": "example",
  "name": "example",
  "description": "example",
  "labels": {},
  "config": {
    "sparkVersion": "example",
    "resourcePools": {
      "driver": {
        "resourcePresetId": "example",
        "scalePolicy": {}
      },
      "executor": {
        "resourcePresetId": "example",
        "scalePolicy": {}
      }
    },
    "dependencies": {
      "pipPackages": [
        "example"
      ],
      "debPackages": [
        "example"
      ]
    },
    "logging": {
      "enabled": true
    }
  },
  "health": "HEALTH_UNKNOWN",
  "status": "STATUS_UNSPECIFIED",
  "entryId": "example"
}

Name

Description

cloudEnvironmentId

Type: string

ID of the associated cloud environment.

Min length: 1

Example: example

clusterId

Type: string

ID of the managed Spark cluster.

Example: example

collectionId

Type: string

ID of the DataLens collection that contains the cluster.

Min length: 1

Example: example

config

Type: object

dependencies

Type: object | null

Packages installed in the cluster.

Example
{
  "pipPackages": [
    "example"
  ],
  "debPackages": [
    "example"
  ]
}

logging

Type: object | null

Cluster logging configuration.

Example
{
  "enabled": true
}

resourcePools

Type: object

driver

Type: object

resourcePresetId

Type: string

ID of the Spark resource preset.

Min length: 1

Max length: 50

Example: example

scalePolicy

Any of 2 types
  • Type: object

    fixedScale

    Type: object

    size

    Type: string

    Number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    Example
    {
      "size": "example"
    }
    

    scaleType

    Type: string

    Const: fixedScale

    Example: example

    Example
    {
      "fixedScale": {
        "size": "example"
      },
      "scaleType": "fixedScale"
    }
    
  • Type: object

    autoScale

    Type: object

    initialSize

    Type: string

    Initial number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    maxSize

    Type: string

    Maximum number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    minSize

    Type: string

    Minimum number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    Example
    {
      "minSize": "example",
      "maxSize": "example",
      "initialSize": "example"
    }
    

    scaleType

    Type: string

    Const: autoScale

    Example: example

    Example
    {
      "autoScale": {
        "minSize": "example",
        "maxSize": "example",
        "initialSize": "example"
      },
      "scaleType": "autoScale"
    }
    

Resource pool scaling policy.

Example
{
  "fixedScale": {
    "size": "example"
  },
  "scaleType": "fixedScale"
}

Driver resource pool.

Example
{
  "resourcePresetId": "example",
  "scalePolicy": {
    "fixedScale": {
      "size": "example"
    },
    "scaleType": "fixedScale"
  }
}

executor

Type: object

resourcePresetId

Type: string

ID of the Spark resource preset.

Min length: 1

Max length: 50

Example: example

scalePolicy

Any of 2 types
  • Type: object

    fixedScale

    Type: object

    size

    Type: string

    Number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    Example
    {
      "size": "example"
    }
    

    scaleType

    Type: string

    Const: fixedScale

    Example: example

    Example
    {
      "fixedScale": {
        "size": "example"
      },
      "scaleType": "fixedScale"
    }
    
  • Type: object

    autoScale

    Type: object

    initialSize

    Type: string

    Initial number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    maxSize

    Type: string

    Maximum number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    minSize

    Type: string

    Minimum number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    Example
    {
      "minSize": "example",
      "maxSize": "example",
      "initialSize": "example"
    }
    

    scaleType

    Type: string

    Const: autoScale

    Example: example

    Example
    {
      "autoScale": {
        "minSize": "example",
        "maxSize": "example",
        "initialSize": "example"
      },
      "scaleType": "autoScale"
    }
    

Resource pool scaling policy.

Example
{
  "fixedScale": {
    "size": "example"
  },
  "scaleType": "fixedScale"
}

Executor resource pool.

Example
{
  "resourcePresetId": "example",
  "scalePolicy": {
    "fixedScale": {
      "size": "example"
    },
    "scaleType": "fixedScale"
  }
}
Example
{
  "driver": {
    "resourcePresetId": "example",
    "scalePolicy": {
      "fixedScale": {
        "size": "example"
      },
      "scaleType": "fixedScale"
    }
  },
  "executor": {
    "resourcePresetId": "example",
    "scalePolicy": {
      "fixedScale": {
        "size": "example"
      },
      "scaleType": "fixedScale"
    }
  }
}

sparkVersion

Type: string

Spark version used by the cluster.

Example: example

Example
{
  "sparkVersion": "example",
  "resourcePools": {
    "driver": {
      "resourcePresetId": "example",
      "scalePolicy": {
        "fixedScale": {},
        "scaleType": "fixedScale"
      }
    },
    "executor": {
      "resourcePresetId": "example",
      "scalePolicy": {
        "fixedScale": {},
        "scaleType": "fixedScale"
      }
    }
  },
  "dependencies": {
    "pipPackages": [
      "example"
    ],
    "debPackages": [
      "example"
    ]
  },
  "logging": {
    "enabled": true
  }
}

description

Type: string

Description of the Spark cluster.

Example: example

entryId

Type: string

ID of the DataLens entry of the Spark cluster. Empty when the cluster has no entry.

Example: example

health

Type: string

Aggregated health of the Spark cluster.

Enum: HEALTH_UNKNOWN, ALIVE, DEAD, DEGRADED

id

Type: string

ID of the Spark cluster.

Min length: 1

Example: example

labels

Type: object

[additional]

Type: string

Example: example

Spark cluster labels.

Example
{}

name

Type: string

Name of the Spark cluster.

Min length: 1

Example: example

status

Type: string

Current status of the Spark cluster.

Enum: STATUS_UNSPECIFIED, CREATING, RUNNING, UPDATING, ERROR, STOPPING, STOPPED, STARTING

Была ли статья полезна?

Предыдущая
🚧 [Experimental] List Spark clusters
Следующая
🚧 [Experimental] Create Spark cluster
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»